#### FILE

#### Synopsis

    HELP:   File handling
    TYPE:   OBJECT
    SYNTAX: FILE(PRE[()...],ENV[()...],FIO.{},CNV[{}...],FMT.{},POST/PST[()...])

#### Description

The object FILE can be used to define how a list of neutral FLAM5 elements with type, length, value and attributes is read from a file. The type of I/O (block, record, text, FLAM4, ...), an unlimited amount of conversions (decoding, decryption, decompression, character set, ...) and a formatting method (binary, text, xml, ...) for the data can be selected.

If you pass a URL containing a CCSID to the FIO object, this CCSID is the default inbound CCSID (FROM) for all character conversion objects you use. If no character conversion is requested, the CCSID defined in the URL is not used.